package aliyun.demo.iqa;

/**
 * ܻظӿ
 */
import java.util.HashMap;
import java.util.Map;

import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;

import aliyun.util.HttpUtils;
import net.sf.json.JSONObject;

public class QueryDemo {
	public final static String host = "http://jisuznwd.market.alicloudapi.com";
	public static final String question = "ѯ";

	public static void main(String[] args) throws Exception {
		String path = "/iqa/query";
		Map<String, String> headers = new HashMap<String, String>();
		headers.put("Authorization", "APPCODE ԼAppCode");

		// query
		Map<String, String> querys = new HashMap<String, String>();
		querys.put("question", question);
		try {
			HttpResponse response = HttpUtils.doGet(host, path, "GET", headers, querys);
			// response Head
			// System.out.println(response.toString());
			String result = EntityUtils.toString(response.getEntity());
			JSONObject json = JSONObject.fromObject(result);
			if (json.getInt("status") != 0) {
				System.out.println(json.getString("msg"));
			} else {
				JSONObject resultarr = json.optJSONObject("result");
				String type = resultarr.getString("type");
				String content = resultarr.getString("content");
				String relquestion = resultarr.getString("relquestion");
				System.out.println(type + " " + content + " " + relquestion);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
